import java.util.*;
import java.text.*;

class Relacao{
  // Atributos privados.
  public Pessoa relacionado;
  private int afinidade;
  private String tipoRelacao;
  private Date inicio;
  public Date fim;

  // Seters.
  private void setPessoa(Pessoa novoRelacionado){
    this.relacionado = novoRelacionado;
  }
  private void setAfinidade(int valorAfinidade){
    this.afinidade = valorAfinidade;
  }
  private void setTipoRelacao(String tipo){
    this.tipoRelacao = tipo;
  }
  private void setInicio(){
    this.inicio = new Date();
  }
  public void setFim(){
    this.fim = new Date();
  }

  // Geters
  public Pessoa getRelacionado(){
    return(this.relacionado);
  }
  public int getAfinidade(){
    return(this.afinidade);
  }
  public String getTipoRelacao(){
    return(this.tipoRelacao);
  }
  public Date getDataInicio(){
    return(this.inicio);
  }
  public Date getDataFim(){
    return(this.fim);
  }

  // Construtor
  public Relacao(Pessoa pessoa, String tipo, int nivelDeAfinidade){
    this.setPessoa(pessoa);
    this.setTipoRelacao(tipo);
    this.setAfinidade(nivelDeAfinidade);
    this.setInicio();
    this.fim = null;
  }
}
